# Specify the package version
%define orx_major 3
%define orx_minor 1
%define orx_mod_lvl 0

# Specify the libtool library version
%define orx_current 3
%define orx_revision 1
%define orx_age 0
# the order of these looks wrong, but that is how it comes out!
%define orx_libversion %{orx_current}.%{orx_age}.%{orx_revision}

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	Open Object REXX	
Name:      	ooRexx
Version:   	%{orx_major}.%{orx_minor}.%{orx_mod_lvl}
Release:   	1
Provides:	oorex
License: 	CPL
URL:		http://www.oorexx.org/
Group:     	Science/Econometrics
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  bash
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
# need this to get rid of bogus dependencies
AutoReq:	0

%description
Open Object Rexx is an object-oriented scripting language. The language
is designed for "non-programmer" type users, so it is easy to learn
and easy to use, and provides an excellent vehicle to enter the world
of object-oriented programming without much effort.

It extends the procedural way of programming with object-oriented
features that allow you to gradually change your programming style
as you learn more about objects.

For more information on ooRexx, visit http://www.oorexx.org/
For more information on Rexx, visit http://www.rexxla.org/

%package	devel
Summary:	files for development with oorex.
Group:		Science/Econometrics
Requires:	%{name} = %{version}-%{release}
%description	devel
header and static library files for development with oorex

%post
ldconfig


%preun

%postun
ldconfig


%prep
%setup -n %{name}-%{version}

%build
./configure 	--disable-static \
		--prefix=%{_prefix} \
		--mandir=%_mandir

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%_bindir
%_mandir
%_libdir/ooRexx/*.so.*
%_datadir/ooRexx

%files devel
%defattr(-, root, root)
%_includedir
%_libdir/ooRexx/*.so
%_libdir/ooRexx/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Oct 30 2006 Karsten Brockmann <arcam@ccux-linux.de> - -1
- Initial Release
